net.minecraft.client.network

## Class NetHandlerLoginClient

- java.lang.Object
- - net.minecraft.client.network.NetHandlerLoginClient

- All Implemented Interfaces:
    INetHandler, INetHandlerLoginClient

      public class NetHandlerLoginClient
      extends java.lang.Object
      implements INetHandlerLoginClient

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetHandlerLoginClient(NetworkManager p_i45059_1_, Minecraft p_i45059_2_, GuiScreen p_i45059_3_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleDisconnect(S00PacketDisconnect p_147388_1_)`
    `void` | `handleEncryptionRequest(S01PacketEncryptionRequest p_147389_1_)`
    `void` | `handleLoginSuccess(S02PacketLoginSuccess p_147390_1_)`
    `void` | `onConnectionStateTransition(EnumConnectionState p_147232_1_, EnumConnectionState p_147232_2_)`
    `void` | `onDisconnect(IChatComponent p_147231_1_)`
    `void` | `onNetworkTick()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetHandlerLoginClient

          public NetHandlerLoginClient(NetworkManager p_i45059_1_,
                               Minecraft p_i45059_2_,
                               GuiScreen p_i45059_3_)

  - ### Method Detail

    - #### handleEncryptionRequest

          public void handleEncryptionRequest(S01PacketEncryptionRequest p_147389_1_)

      Specified by:
        `handleEncryptionRequest` in interface `INetHandlerLoginClient`

    - #### handleLoginSuccess

          public void handleLoginSuccess(S02PacketLoginSuccess p_147390_1_)

      Specified by:
        `handleLoginSuccess` in interface `INetHandlerLoginClient`

    - #### onDisconnect

          public void onDisconnect(IChatComponent p_147231_1_)

      Specified by:
        `onDisconnect` in interface `INetHandler`

    - #### onConnectionStateTransition

          public void onConnectionStateTransition(EnumConnectionState p_147232_1_,
                                         EnumConnectionState p_147232_2_)

      Specified by:
        `onConnectionStateTransition` in interface `INetHandler`

    - #### onNetworkTick

          public void onNetworkTick()

      Specified by:
        `onNetworkTick` in interface `INetHandler`

    - #### handleDisconnect

          public void handleDisconnect(S00PacketDisconnect p_147388_1_)

      Specified by:
        `handleDisconnect` in interface `INetHandlerLoginClient`